View Issue Details

IDProjectCategoryView StatusLast Update
0001561Ham Radio DeluxeEnhancementpublic2017-08-05 18:59
ReporterWA9PIE 
Assigned ToK7ZCZ 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0001561: Turn some alpha fields into numeric
DescriptionThere are a lot of complaints from folks who want to see certain fields sort as numeric values. Examples are "band", "lat/long"... and a number of others.

I'm creating this as a "parent" record to relate others to.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleData
Testing Beta Successful

Relationships

parent of 0000569 closedK7ZCZ Unable to sort on custom columns 
parent of 0001491 closedK7ZCZ Lat/lon field sorting as string, not number 
parent of 0001403 closedK7ZCZ Sort logbook by LOTW Rec'd date gives strange results 
parent of 0000495 closedK7ZCZ Null date fields not sorting correctly 

Activities

K7ZCZ

2017-06-04 14:44

manager   ~0003199

I have a fix coded.

WA9PIE

2017-06-21 20:59

administrator   ~0003243

Status changed to enable update to "Fixed in Version"

WA9PIE

2017-06-21 22:24

administrator   ~0003257

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

g3ucq

2017-06-24 04:33

viewer   ~0003285

Fixed

WA9PIE

2017-06-25 21:54

administrator   ~0003310

The 6m band is sorting between 30m and 40m. It should sort as a "6" and below "10"... above "2".

WA9PIE

2017-06-25 23:04

administrator   ~0003322

Beta passed; opened new bug regarding 6m sort

https://bugs.hrdsoftwarellc.com/view.php?id=2078

WA9PIE

2017-07-04 23:30

administrator   ~0003483

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003518

Waiting to close them until a final item is tested.

g3ucq

2017-07-05 04:09

viewer   ~0003537

Fixed

WA9PIE

2017-07-05 19:39

administrator   ~0003555

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2014-01-31 15:19 WA9PIE New Issue
2014-01-31 15:19 WA9PIE Project @5@ => @6@
2014-01-31 15:34 WA9PIE Relationship added related to 0001403
2014-01-31 15:36 WA9PIE Relationship added parent of 0000569
2014-01-31 15:37 WA9PIE Relationship added parent of 0001491
2014-01-31 15:37 WA9PIE Relationship deleted related to 0001403
2014-01-31 15:37 WA9PIE Relationship added parent of 0001403
2014-01-31 15:38 WA9PIE Relationship added parent of 0000495
2014-02-02 10:07 WA9PIE Status new => confirmed
2015-09-17 13:18 WA9PIE Category Logbook => Enhancement
2015-09-17 13:18 WA9PIE Project @6@ => 1 - Backlog
2015-09-29 17:04 WA9PIE Fix Build TBD => (select)
2015-09-29 17:04 WA9PIE Summary Enhancement: Turn some alpha fields into numeric => Turn some alpha fields into numeric
2017-06-01 03:38 K7ZCZ Assigned To => K7ZCZ
2017-06-01 03:38 K7ZCZ Status confirmed => assigned
2017-06-04 14:39 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-06-04 14:44 K7ZCZ Note Added: 0003199
2017-06-04 14:44 K7ZCZ Status assigned => resolved
2017-06-04 14:44 K7ZCZ Resolution open => fixed
2017-06-05 12:37 WA9PIE Target Version => 6.4.0.649
2017-06-21 20:59 WA9PIE Status resolved => assigned
2017-06-21 20:59 WA9PIE Note Added: 0003243
2017-06-21 21:11 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 21:50 K7ZCZ Status assigned => resolved
2017-06-21 21:50 K7ZCZ Fixed in Version 6.4.0.652 =>
2017-06-21 22:00 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003257
2017-06-24 04:33 g3ucq Note Added: 0003285
2017-06-25 21:54 WA9PIE Note Added: 0003310
2017-06-25 22:53 WA9PIE Resolution fixed => open
2017-06-25 22:53 WA9PIE Testing => Beta Failed
2017-06-25 23:04 WA9PIE Note Added: 0003322
2017-06-25 23:05 WA9PIE Testing Beta Failed => Beta Passed
2017-06-30 17:27 K7ZCZ Status assigned => resolved
2017-06-30 17:27 K7ZCZ Fixed in Version 6.4.0.652 => 6.4.0.653
2017-06-30 17:27 K7ZCZ Resolution open => fixed
2017-07-01 08:21 WA9PIE Target Version 6.4.0.649 => 6.4.0.653
2017-07-01 08:22 WA9PIE Fixed in Version 6.4.0.653 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003483
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003518
2017-07-05 04:09 g3ucq Note Added: 0003537
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003555
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:59 WA9PIE Target Version 6.4.0.653 =>